diff -pruN 1.9.4+dfsg-3/CMakeLists.txt 1.9.5+dfsg-1/CMakeLists.txt
--- 1.9.4+dfsg-3/CMakeLists.txt	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/CMakeLists.txt	2024-08-12 07:13:30.000000000 +0000
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8.0)
 
-project(iir VERSION 1.9.4 LANGUAGES CXX)
+project(iir VERSION 1.9.5 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
 
diff -pruN 1.9.4+dfsg-3/README.md 1.9.5+dfsg-1/README.md
--- 1.9.4+dfsg-3/README.md	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/README.md	2024-08-12 07:13:30.000000000 +0000
@@ -203,7 +203,7 @@ Windows: `libiir_static.lib`).
 
 
 
-## Packages for Ubuntu LTS:
+## Pre compiled packages for Ubuntu LTS (PPA):
 
 If you are using Ubuntu LTS then you can
 install this library as a pre-compiled package.
@@ -224,23 +224,6 @@ The documentation of the development pac
 /usr/share/doc/iir1-dev/
 ```
 
-## Package for MacOS
-
-Make sure you have the homebrew package manager installed: https://brew.sh/
-
-Add the homebrew tap:
-
-```
-brew tap berndporr/dsp
-```
-
-and then install the iir filter package with:
-
-```
-brew install iir
-```
-
-
 
 ## Compilation from source
 
diff -pruN 1.9.4+dfsg-3/debian/changelog 1.9.5+dfsg-1/debian/changelog
--- 1.9.4+dfsg-3/debian/changelog	2024-07-04 06:12:04.000000000 +0000
+++ 1.9.5+dfsg-1/debian/changelog	2024-08-16 15:12:55.000000000 +0000
@@ -1,3 +1,9 @@
+iir1 (1.9.5+dfsg-1) unstable; urgency=medium
+
+  * New upstream release.
+
+ -- Stephen Kitt <skitt@debian.org>  Fri, 16 Aug 2024 17:12:55 +0200
+
 iir1 (1.9.4+dfsg-3) unstable; urgency=medium
 
   * Fix the optional symbol declarations.
diff -pruN 1.9.4+dfsg-3/debian/copyright 1.9.5+dfsg-1/debian/copyright
--- 1.9.4+dfsg-3/debian/copyright	2024-04-16 21:08:26.000000000 +0000
+++ 1.9.5+dfsg-1/debian/copyright	2024-08-16 15:06:27.000000000 +0000
@@ -5,7 +5,7 @@ Files-Excluded: docs
 
 Files: *
 Copyright: 2009 Vinnie Falco
-           2011-2021 Bernd Porr
+           2011-2023 Bernd Porr
 License: MIT
 
 Files: debian/*
diff -pruN 1.9.4+dfsg-3/debug-build.sh 1.9.5+dfsg-1/debug-build.sh
--- 1.9.4+dfsg-3/debug-build.sh	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/debug-build.sh	2024-08-12 07:13:30.000000000 +0000
@@ -1,4 +1,4 @@
 #!/bin/sh
 rm -rf CMakeCache.txt CMakeFiles
-cmake . -DCMAKE_BUILD_TYPE=DEBUG
+cmake . -DCMAKE_BUILD_TYPE=DEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON
 make
diff -pruN 1.9.4+dfsg-3/demo/iirdemo.cpp 1.9.5+dfsg-1/demo/iirdemo.cpp
--- 1.9.4+dfsg-3/demo/iirdemo.cpp	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/demo/iirdemo.cpp	2024-08-12 07:13:30.000000000 +0000
@@ -31,6 +31,12 @@ int main(int, char**)
 		fprintf(fimpulse, "%e\n", b);
 	}
 	fclose(fimpulse);
+	FILE* fresp = fopen("lpf.dat", "wt");
+	for(double fr=0.0;fr<0.5;fr=fr+0.01) {
+		auto r = f.response(fr);
+		fprintf(fresp,"%e\t%e\n",fr,abs(r));
+	}
+	fclose(fresp);
 
 	// RBJ highpass filter
 	// The Q factor determines the resonance at the
diff -pruN 1.9.4+dfsg-3/demo/plot_impulse_fresponse.py 1.9.5+dfsg-1/demo/plot_impulse_fresponse.py
--- 1.9.4+dfsg-3/demo/plot_impulse_fresponse.py	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/demo/plot_impulse_fresponse.py	2024-08-12 07:13:30.000000000 +0000
@@ -6,7 +6,7 @@ import numpy as np
 
 # Plots the impulse response of the Bandstop and its frequency response
 
-def plot_if(figno,name,figtitle,fs = 1000):
+def plot_if(figno,name,figtitle,fs = 1000,freq_resp_name=False):
     plt.figure(figno)
     plt.suptitle(figtitle)
     y = np.loadtxt(name);
@@ -18,10 +18,14 @@ def plot_if(figno,name,figtitle,fs = 100
     yf = np.fft.fft(y)
     plt.subplot(312)
     fx = np.linspace(0,fs,len(yf))
-    plt.plot(fx,20*np.log10(abs(yf)))
+    plt.plot(fx,20*np.log10(abs(yf)),label="resp from fft(impulse)")
     plt.xlim(0,fs/2)
     plt.title("Frequency response")
     plt.ylabel("gain/dB")
+    if freq_resp_name:
+        fr = np.loadtxt(freq_resp_name);
+        plt.plot(fr[:,0]*fs,20*np.log10(abs(fr[:,1])),label="resp from poles/zeroes")
+        plt.legend()
 
     plt.subplot(313)
     p = -np.diff(np.unwrap(np.angle(yf))) / np.diff(fx * 2 * np.pi)
@@ -37,7 +41,7 @@ def plot_if(figno,name,figtitle,fs = 100
         plt.xlabel("f/Hz")
         plt.ylabel("delay/secs")
     
-plot_if(1,"lp.dat","Butterworth lowpass")
+plot_if(1,"lp.dat","Butterworth lowpass",freq_resp_name="lpf.dat")
 
 plot_if(2,"hp_rbj.dat","RBJ highpass")
 
diff -pruN 1.9.4+dfsg-3/iir/Biquad.cpp 1.9.5+dfsg-1/iir/Biquad.cpp
--- 1.9.4+dfsg-3/iir/Biquad.cpp	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/iir/Biquad.cpp	2024-08-12 07:13:30.000000000 +0000
@@ -146,8 +146,8 @@ namespace Iir {
 		const double a0 = 1;
 		const double a1 = -pole.real();
 		const double a2 = 0;
-		const double b0 = -zero.real();
-		const double b1 = 1;
+		const double b0 = 1;
+		const double b1 = -zero.real();
 		const double b2 = 0;
 
 		setCoefficients (a0, a1, a2, b0, b1, b2);
diff -pruN 1.9.4+dfsg-3/iir/Cascade.cpp 1.9.5+dfsg-1/iir/Cascade.cpp
--- 1.9.4+dfsg-3/iir/Cascade.cpp	2024-03-03 16:12:02.000000000 +0000
+++ 1.9.5+dfsg-1/iir/Cascade.cpp	2024-08-12 07:13:30.000000000 +0000
@@ -12,7 +12,7 @@
  *
  * License: MIT License (http://www.opensource.org/licenses/mit-license.php)
  * Copyright (c) 2009 by Vinnie Falco
- * Copyright (c) 2011 by Bernd Porr
+ * Copyright (c) 2011-2023 by Bernd Porr
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
@@ -36,6 +36,9 @@
 #include "Common.h"
 #include "Cascade.h"
 
+static const char maxFError[] = "The normalised frequency needs to be =< 0.5.";
+static const char minFError[] = "The normalised frequency needs to be >= 0.";
+
 #include <iostream>
 namespace Iir {
 
@@ -48,6 +51,8 @@ namespace Iir {
 
 	complex_t Cascade::response (double normalizedFrequency) const
 	{
+		if (normalizedFrequency > 0.5) throw_invalid_argument(maxFError);
+		if (normalizedFrequency < 0.0) throw_invalid_argument(minFError);
 		double w = 2 * doublePi * normalizedFrequency;
 		const complex_t czn1 = std::polar (1., -w);
 		const complex_t czn2 = std::polar (1., -2 * w);
